package com.mcwl.communityCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.Date;

/**
 * 举报表
 */

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "举报返回参数")
public class PublishReportVo {

    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 发布id
     */
    @ApiModelProperty(value = "发布id")
    private Long publishId;

    /**
     * 举报人
     */
    @ApiModelProperty(value = "举报人")
    private String userName;

    /**
     * 举报类型 字典值
     */
    @ApiModelProperty(value = "举报类型")
    private String reportType;

    /**
     * 状态（0未处理 1已处理 )
     */
    @ApiModelProperty(value = "状态（0未处理 1已处理 )")
    private Integer status;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 图片url
     */
    @ApiModelProperty(value = "图片url")
    private String imgUrl;

    /**
     * 文件url
     */
    @ApiModelProperty(value = "文件url")
    private String fileUrl;

    /**
     * 举报时间
     */
    @ApiModelProperty(value = "举报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

}
