package com.mcwl.communityCenter.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.constant.HttpStatus;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.domain.entity.SysUser;
import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.common.core.redis.RedisCache;
import com.mcwl.common.exception.ServiceException;
import com.mcwl.common.utils.SecurityUtils;
import com.mcwl.common.utils.StringUtils;
import com.mcwl.communityCenter.constant.AdviceConstant;
import com.mcwl.communityCenter.domain.*;
import com.mcwl.communityCenter.domain.dto.*;
import com.mcwl.communityCenter.domain.vo.CommentVo;
import com.mcwl.communityCenter.domain.vo.PersonHomeVo;
import com.mcwl.communityCenter.domain.vo.PublishVo;
import com.mcwl.communityCenter.mapper.*;
import com.mcwl.communityCenter.service.*;
import com.mcwl.system.service.ISysUserService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.*;

@Service
@RequiredArgsConstructor
public class PublishLabelServiceImpl extends ServiceImpl<PublishLabelMapper, PublishLabel> implements PublishLabelService {

    private final CommunityUserMapper communityUserMapper;


    @Override
    public List<String> listPublishLabel(PublishLabelListRes publishLabelListRes) {


        return baseMapper.listPublishLabel(publishLabelListRes);
    }

    @Override
    public void addPublishLabel(PublishLabelAddRes publishLabelAddRes) {

        CommunityUser communityUser = communityUserMapper.selectCommunityUser(publishLabelAddRes.getTenantId(),
                publishLabelAddRes.getCommunityId(), SecurityUtils.getUserId());

        if (communityUser == null) {
            throw new ServiceException("您不是该社区的成员，无法添加标签", HttpStatus.SHOW_ERROR_MSG);
        }

        if (communityUser.getUserType() != 2) {
            throw new ServiceException("您不是星主，无法添加标签", HttpStatus.SHOW_ERROR_MSG);
        }

        PublishLabelListRes publishLabelListRes = BeanUtil.copyProperties(publishLabelAddRes, PublishLabelListRes.class);
        List<String> publishLabelList = this.listPublishLabel(publishLabelListRes);
        if (publishLabelList.size() >= 3) {
            throw new ServiceException("最多只能添加三个标签", HttpStatus.SHOW_ERROR_MSG);
        }

        PublishLabel publishLabel = BeanUtil.copyProperties(publishLabelAddRes, PublishLabel.class);
        baseMapper.insert(publishLabel);

    }
}
