package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * pc端版本表
 *
 * @author DaiZibo
 * @date 2025/5/9
 * @apiNote
 */

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "pc端版本表")
@TableName("pc_version")
public class PcVersion {

    @ApiModelProperty(value = "主键ID")
    @TableId
    private Long id;

    @ApiModelProperty(value = "版本号")
    private String versionNumber;

    @ApiModelProperty(value = "版本路径")
    private String path;

    @ApiModelProperty(value = "描述")
    private String remark;

    @ApiModelProperty(value = "是否更新 0：不 1：强制")
    private Integer isBug;


    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "hash值")
    private String hashCode;
}
