package com.mcwl.resource.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.mcwl.resource.domain.PcVersion;
import com.mcwl.resource.mapper.PcVersionMapper;
import com.mcwl.resource.service.PcVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * pc端版本业务实现层
 *
 * @author DaiZibo
 * @date 2025/5/9
 * @apiNote
 */

@Service
public class PcVersionServiceImpl implements PcVersionService {

    @Autowired
    private PcVersionMapper pcVersionMapper;


    @Override
    public List<PcVersion> selectList() {

        LambdaQueryWrapper<PcVersion> pcVersionLambdaQueryWrapper = new LambdaQueryWrapper<>();
        pcVersionLambdaQueryWrapper.orderByDesc(PcVersion::getCreateTime);

        return pcVersionMapper.selectList(pcVersionLambdaQueryWrapper);
    }

    @Override
    public void update(PcVersion pcVersion) {


        pcVersionMapper.updateById(pcVersion);
    }

    @Override
    public PcVersion selectVersion(String versionNumber) {

        LambdaQueryWrapper<PcVersion> pcVersionLambdaQueryWrapper = new LambdaQueryWrapper<>();
        pcVersionLambdaQueryWrapper.eq(PcVersion::getVersionNumber, versionNumber);

        PcVersion pcVersion = pcVersionMapper.selectOne(pcVersionLambdaQueryWrapper);

        return pcVersion;
    }

    @Override
    public void addVersion(PcVersion pcVersion) {

        pcVersion.setCreateTime(new Date());
        pcVersionMapper.insert(pcVersion);
    }
}
