package com.mcwl.system.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "新增工具请求对象")
public class AddToolRes {

    /**
     * 工具名称
     */
    @ApiModelProperty(value = "工具名称", required = true)
    @NotBlank(message = "工具名称不能为空")
    private String name;

    /**
     * 图片url
     */
    @ApiModelProperty(value = "图片url", required = true)
    @NotBlank(message = "图片url不能为空")
    private String imageUrl;

    /**
     * 工具url
     */
    @ApiModelProperty(value = "工具url", required = true)
    @NotBlank(message = "工具url不能为空")
    private String toolUrl;

    /**
     * 类型 0文本 1图片 2视频
     */
    @ApiModelProperty(value = "类型 0文本 1图片 2视频", required = true)
    @NotNull(message = "类型不能为空")
    private Integer type;

    /**
     * 状态 0不可用 1可用
     */
    @ApiModelProperty(value = "状态 0不可用 1可用")
    private Integer status = 1;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
