package com.mcwl.system.domain.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.Date;

/**
 * 工具返回对象
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "工具返回对象")
public class ToolVo {

    /**
     * 工具id
     */
    @ApiModelProperty(value = "工具id")
    private Long id;

    /**
     * 工具名称
     */
    @ApiModelProperty(value = "工具名称")
    private String name;

    /**
     * 图片url
     */
    @ApiModelProperty(value = "图片url")
    private String imageUrl;

    /**
     * 工具url
     */
    @ApiModelProperty(value = "工具url")
    private String toolUrl;

    /**
     * 类型 0文本 1图片 2视频
     */
    @ApiModelProperty(value = "类型 0文本 1图片 2视频")
    private Integer type;

    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String typeName;

    /**
     * 状态 0不可用 1可用
     */
    @ApiModelProperty(value = "状态 0不可用 1可用")
    private Integer status;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
